Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.graph
Class UndirectedWeightedSubgraph<V,E>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.Subgraph<V,E>
              org.jgrapht.graph.UndirectedSubgraph<V,E>
                  org.jgrapht.graph.UndirectedWeightedSubgraph<V,E>

All Implemented Interfaces:
  java.io.Serializable, Graph<V,E>, UndirectedGraph<V,E>, WeightedGraph<V,E>

    public class UndirectedWeightedSubgraph<V,E>

extends UndirectedSubgraph<V,E>
implements WeightedGraph<V,E>

An undirected weighted graph that is a subgraph on other graph.

See Also:
  `Subgraph`, Serialized Form

Field Summary

Fields inherited from interface org.jgrapht.WeightedGraph
`DEFAULT_EDGE_WEIGHT`

Constructor Summary
`UndirectedWeightedSubgraph(WeightedGraph<V,E> base, java.util.Set<V> vertexSubset, java.util.Set<E> edgeSubset)` Creates a new undirected weighted subgraph.

Method Summary

Methods inherited from class org.jgrapht.graph.Subgraph
`addEdge, addEdge, addVertex, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getBase, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.WeightedGraph
`setEdgeWeight`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Methods inherited from interface org.jgrapht.UndirectedGraph
`degreeOf`

Constructor Detail

### UndirectedWeightedSubgraph

    public UndirectedWeightedSubgraph(WeightedGraph<V,E> base,
                                      java.util.Set<V> vertexSubset,
                                      java.util.Set<E> edgeSubset)

  Creates a new undirected weighted subgraph.

  Parameters:
    `base` - the base (backing) graph on which the subgraph will be based.
    `vertexSubset` - vertices to include in the subgraph. If `null` then all vertices are included.
    `edgeSubset` - edges to in include in the subgraph. If `null` then all the edges whose vertices found in the graph are included.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD